Last modified: 2012-06-21 13:55:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27858 - Block notice when editing talk page of blocked user doesn't go away after block expires
Block notice when editing talk page of blocked user doesn't go away after blo...
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
User blocking (Other open bugs)
unspecified
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: need-integration-test
: 29020 (view as bug list)
Depends on:
Blocks: 31403
  Show dependency treegraph
 
Reported: 2011-03-05 00:24 UTC by Bawolff (Brian Wolff)
Modified: 2012-06-21 13:55 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
An overdue block (77.58 KB, image/png)
2011-05-27 16:16 UTC, Mark A. Hershberger
Details
same block 7 hours later after it had expired. (103.38 KB, image/png)
2011-05-27 16:16 UTC, Mark A. Hershberger
Details

Description Bawolff (Brian Wolff) 2011-03-05 00:24:21 UTC
http://en.wikipedia.org/w/index.php?title=User_talk:76.217.100.52&action=edit has the this user (the anon, not the person editing) is blocked notice, even after the block expired. Expected behaviour is for the notice to only be present if user is blocked.

This feels like a dupe, but i can't find anything for it. I have a vague memory of their being an issue like this that seemed to only be present on enwikipedia (not sure though).

bug reported by Sven_Manguard on irc.
Comment 1 Mark A. Hershberger 2011-05-20 17:12:52 UTC
*** Bug 29020 has been marked as a duplicate of this bug. ***
Comment 2 Brion Vibber 2011-05-23 23:21:33 UTC
Here's a currently blocked example page:
http://en.wikipedia.org/wiki/User_talk:76.22.193.206

There's a red box 'This user is currently blocked' bla bla, which gets shown on:
* the user page
* the user talk page
* the user page, while editing
* the user talk page, while editing

The edit view shouldn't be cached, so ought to update automatically after the block; the user page & user talk page views themselves however may still be cached after a block expires, so you'd still see the warning there after an expiry.

Can find more block samples here: http://en.wikipedia.org/w/index.php?title=Special:Log/block

Likely fix:
* make sure the user page & user talk page get purged from cache when a block expires or is removed (this should actually fix it more or less correctly)

Clearing on expiration requires actually having some handler per-expiration; not sure offhand if the current expiries are just bulk deletes or give that chance.
Comment 3 Mark A. Hershberger 2011-05-27 16:15:34 UTC
I spent some time testing this and taking screen shots.  I found a bunch of 1 week blocks that were about to expire and started watching them.

My guess, from this testing is that, while the times on the site all given in UTC+0, whatever handles expiration sees this as local time and runs the expiration in a different timezone.

I'm attaching two screenshots showing the problem.  UTC time is show via a gadget in the upper right part of the webpage.  EDT is shown by my local clock.  I'll try a couple more spot checks to confirm this today, but it looks like the expiration is 6-7 hours off.
Comment 4 Mark A. Hershberger 2011-05-27 16:16:19 UTC
Created attachment 8591 [details]
An overdue block
Comment 5 Mark A. Hershberger 2011-05-27 16:16:59 UTC
Created attachment 8592 [details]
same block 7 hours later after it had expired.
Comment 6 Bawolff (Brian Wolff) 2011-05-27 20:48:39 UTC
Note, in the log excerpt, the time that the user was blocked at is localized to whatever timezone is set in your preferences. However the user is blocked message is displayed based on if the user is actually blocked. Its unclear if this bug is the result of people being confused by localizing the time in the log excerpt (/me personally has never liked how we only modify some timestamps for timezone), or if the message is being included after the block has actually expired.
Comment 7 Mark A. Hershberger 2011-05-31 15:46:20 UTC
I think this is a good issue to track down.  Will try to find some more bugs about timezone so we can get some sanity about it.
Comment 8 Mark A. Hershberger 2011-06-01 20:21:48 UTC
(In reply to comment #6)
> Note, in the log excerpt, the time that the user was blocked at is localized to
> whatever timezone is set in your preferences.

You can see the local time in the upper right of the screenshots.  But I'll test again after verifying that the preferences is correct.  The preferences may have been off by an hour, but nothing like the 2-3 hours the screenshots show.
Comment 9 Bawolff (Brian Wolff) 2011-10-15 20:07:08 UTC
Re:
>Resolve Fixed status change.


Who, what when where and how did this get fixed?
Comment 10 Mark A. Hershberger 2011-10-15 22:03:18 UTC
tagging bugs for Marcus to look at
Comment 11 Mark A. Hershberger 2011-10-20 16:07:54 UTC
Reopening since I've no clue why I closed it.
Comment 12 Marcin Cieślak 2012-06-21 13:55:31 UTC
Can we check if this is still a problem after bug 5445 has been fixed?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links